---
title: Batch DNS Records
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[DNS](https://developers.cloudflare.com/api/python/resources/dns)

[Records](https://developers.cloudflare.com/api/python/resources/dns/subresources/records)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Batch DNS Records

dns.records.batch(RecordBatchParams\*\*kwargs) -> [RecordBatchResponse](<https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20record_batch_response%20%3E%20(schema)>)

POST/zones/{zone\_id}/dns\_records/batch

Send a Batch of DNS Record API calls to be executed together.

Notes:

- Although Cloudflare will execute the batched operations in a single database transaction, Cloudflare’s distributed KV store must treat each record change as a single key-value pair. This means that the propagation of changes is not atomic. See [the documentation](https://developers.cloudflare.com/dns/manage-dns-records/how-to/batch-record-changes/ "Batch DNS records") for more information.
- The operations you specify within the /batch request body are always executed in the following order:
  - Deletes
  - Patches
  - Puts
  - Posts

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`DNS Write`

##### ParametersExpand Collapse

zone\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20dns.records%20%3E%20(method)%20batch%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

include\_shadow\_metadata: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/dns/subresources/records/methods/batch#(resource)%20dns.records%20%3E%20(method)%20batch%20%3E%20(params)%20default%20%3E%20(param)%20include_shadow_metadata%20%3E%20(schema)>)]

Whether to include shadow metadata in the `meta` field of each record in the response. See [Shadowed records](https://developers.cloudflare.com/dns/manage-dns-records/reference/shadowed-records).

[Link to this property](<#(resource)%20dns.records%20%3E%20(method)%20batch%20%3E%20(params)%20default%20%3E%20(param)%20include_shadow_metadata%20%3E%20(schema)>)

<details>

<summary>

deletes: Optional\[Iterable\[Delete]]

</summary>

id: str

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(method)%20batch%20%3E%20(params)%20default%20%3E%20(param)%20deletes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.records%20%3E%20(method)%20batch%20%3E%20(params)%20default%20%3E%20(param)%20deletes%20%3E%20(schema)>)

<details>

<summary>

patches: Optional\[Iterable\[<a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)">BatchPatchParam</a>]]

</summary>

One of the following:

<details>

<summary>

class ARecord: …

</summary>

id: str

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

<details>

<summary>

class AAAARecord: …

</summary>

id: str

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

<details>

<summary>

class CNAMERecord: …

</summary>

id: str

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%202">Link to this property</a>

<details>

<summary>

class MXRecord: …

</summary>

id: str

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%203">Link to this property</a>

<details>

<summary>

class NSRecord: …

</summary>

id: str

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%204%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%204">Link to this property</a>

<details>

<summary>

class OpenpgpkeyRecord: …

</summary>

id: str

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20id">Link to this property</a>

name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255

minLength1

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

ttl: <a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)">TTL</a>

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

</summary>

One of the following:

float

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

Literal\[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20ttl">Link to this property</a>

type: Literal\["OPENPGPKEY"]

Record type.

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20type">Link to this property</a>

comment: Optional\[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20comment">Link to this property</a>

content: Optional\[str]

A single Base64-encoded OpenPGP Transferable Public Key (RFC 4880 Section 11.1)

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20content">Link to this property</a>

proxied: Optional\[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20proxied">Link to this property</a>

<details>

<summary>

settings: Optional\[OpenpgpkeyRecordSettings]

Settings for the DNS record.

</summary>

ipv4\_only: Optional\[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20settings%20%3E%20(property)%20ipv4_only">Link to this property</a>

ipv6\_only: Optional\[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20settings%20%3E%20(property)%20ipv6_only">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20settings">Link to this property</a>

tags: Optional\[List\[<a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20record_tags%20%3E%20(schema)">RecordTags</a>]]

Custom tags for the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%205%20%3E%20(property)%20tags">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%205">Link to this property</a>

<details>

<summary>

class PTRRecord: …

</summary>

id: str

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%206%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%206">Link to this property</a>

<details>

<summary>

class TXTRecord: …

</summary>

id: str

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%207%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%207">Link to this property</a>

<details>

<summary>

class CAARecord: …

</summary>

id: str

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%208%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%208">Link to this property</a>

<details>

<summary>

class CERTRecord: …

</summary>

id: str

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%209%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%209">Link to this property</a>

<details>

<summary>

class DNSKEYRecord: …

</summary>

id: str

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%2010%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%2010">Link to this property</a>

<details>

<summary>

class DSRecord: …

</summary>

id: str

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%2011%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%2011">Link to this property</a>

<details>

<summary>

class HTTPSRecord: …

</summary>

id: str

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%2012%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%2012">Link to this property</a>

<details>

<summary>

class LOCRecord: …

</summary>

id: str

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%2013%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%2013">Link to this property</a>

<details>

<summary>

class NAPTRRecord: …

</summary>

id: str

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%2014%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%2014">Link to this property</a>

<details>

<summary>

class SMIMEARecord: …

</summary>

id: str

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%2015%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%2015">Link to this property</a>

<details>

<summary>

class SRVRecord: …

</summary>

id: str

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%2016%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%2016">Link to this property</a>

<details>

<summary>

class SSHFPRecord: …

</summary>

id: str

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%2017%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%2017">Link to this property</a>

<details>

<summary>

class SVCBRecord: …

</summary>

id: str

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%2018%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%2018">Link to this property</a>

<details>

<summary>

class TLSARecord: …

</summary>

id: str

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%2019%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%2019">Link to this property</a>

<details>

<summary>

class URIRecord: …

</summary>

id: str

Identifier.

maxLength32

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%2020%20%3E%20(entry)%201%20%3E%20(property)%20id">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20batch_patch%20%3E%20(schema)%20%3E%20(variant)%2020">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.records%20%3E%20(method)%20batch%20%3E%20(params)%20default%20%3E%20(param)%20patches%20%3E%20(schema)>)

<details>

<summary>

posts: Optional\[Iterable\[Post]]

</summary>

One of the following:

<details>

<summary>

class ARecord: …

</summary>

name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255

minLength1

<a href="#(resource)%20dns.records%20%3E%20(model)%20a_record%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

ttl: <a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)">TTL</a>

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

</summary>

One of the following:

float

<a href="#(resource)%20dns.records%20%3E%20(model)%20a_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

Literal\[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

<a href="#(resource)%20dns.records%20%3E%20(model)%20a_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20a_record%20%3E%20(schema)%20%3E%20(property)%20ttl">Link to this property</a>

type: Literal\["A"]

Record type.

<a href="#(resource)%20dns.records%20%3E%20(model)%20a_record%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

comment: Optional\[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20a_record%20%3E%20(schema)%20%3E%20(property)%20comment">Link to this property</a>

content: Optional\[str]

A valid IPv4 address.

formatipv4

<a href="#(resource)%20dns.records%20%3E%20(model)%20a_record%20%3E%20(schema)%20%3E%20(property)%20content">Link to this property</a>

private\_routing: Optional\[bool]

Enables private network routing to the origin.

<a href="#(resource)%20dns.records%20%3E%20(model)%20a_record%20%3E%20(schema)%20%3E%20(property)%20private_routing">Link to this property</a>

proxied: Optional\[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

<a href="#(resource)%20dns.records%20%3E%20(model)%20a_record%20%3E%20(schema)%20%3E%20(property)%20proxied">Link to this property</a>

<details>

<summary>

settings: Optional\[Settings]

Settings for the DNS record.

</summary>

ipv4\_only: Optional\[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20a_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv4_only">Link to this property</a>

ipv6\_only: Optional\[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20a_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv6_only">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20a_record%20%3E%20(schema)%20%3E%20(property)%20settings">Link to this property</a>

tags: Optional\[List\[<a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20record_tags%20%3E%20(schema)">RecordTags</a>]]

Custom tags for the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20a_record%20%3E%20(schema)%20%3E%20(property)%20tags">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20a_record%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

class AAAARecord: …

</summary>

name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255

minLength1

<a href="#(resource)%20dns.records%20%3E%20(model)%20aaaa_record%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

ttl: <a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)">TTL</a>

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

</summary>

One of the following:

float

<a href="#(resource)%20dns.records%20%3E%20(model)%20aaaa_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

Literal\[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

<a href="#(resource)%20dns.records%20%3E%20(model)%20aaaa_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20aaaa_record%20%3E%20(schema)%20%3E%20(property)%20ttl">Link to this property</a>

type: Literal\["AAAA"]

Record type.

<a href="#(resource)%20dns.records%20%3E%20(model)%20aaaa_record%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

comment: Optional\[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20aaaa_record%20%3E%20(schema)%20%3E%20(property)%20comment">Link to this property</a>

content: Optional\[str]

A valid IPv6 address.

formatipv6

<a href="#(resource)%20dns.records%20%3E%20(model)%20aaaa_record%20%3E%20(schema)%20%3E%20(property)%20content">Link to this property</a>

private\_routing: Optional\[bool]

Enables private network routing to the origin.

<a href="#(resource)%20dns.records%20%3E%20(model)%20aaaa_record%20%3E%20(schema)%20%3E%20(property)%20private_routing">Link to this property</a>

proxied: Optional\[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

<a href="#(resource)%20dns.records%20%3E%20(model)%20aaaa_record%20%3E%20(schema)%20%3E%20(property)%20proxied">Link to this property</a>

<details>

<summary>

settings: Optional\[Settings]

Settings for the DNS record.

</summary>

ipv4\_only: Optional\[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20aaaa_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv4_only">Link to this property</a>

ipv6\_only: Optional\[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20aaaa_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv6_only">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20aaaa_record%20%3E%20(schema)%20%3E%20(property)%20settings">Link to this property</a>

tags: Optional\[List\[<a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20record_tags%20%3E%20(schema)">RecordTags</a>]]

Custom tags for the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20aaaa_record%20%3E%20(schema)%20%3E%20(property)%20tags">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20aaaa_record%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

class CNAMERecord: …

</summary>

name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255

minLength1

<a href="#(resource)%20dns.records%20%3E%20(model)%20cname_record%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

ttl: <a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)">TTL</a>

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

</summary>

One of the following:

float

<a href="#(resource)%20dns.records%20%3E%20(model)%20cname_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

Literal\[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

<a href="#(resource)%20dns.records%20%3E%20(model)%20cname_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20cname_record%20%3E%20(schema)%20%3E%20(property)%20ttl">Link to this property</a>

type: Literal\["CNAME"]

Record type.

<a href="#(resource)%20dns.records%20%3E%20(model)%20cname_record%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

comment: Optional\[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20cname_record%20%3E%20(schema)%20%3E%20(property)%20comment">Link to this property</a>

content: Optional\[str]

A valid hostname. Must not match the record’s name.

<a href="#(resource)%20dns.records%20%3E%20(model)%20cname_record%20%3E%20(schema)%20%3E%20(property)%20content">Link to this property</a>

proxied: Optional\[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

<a href="#(resource)%20dns.records%20%3E%20(model)%20cname_record%20%3E%20(schema)%20%3E%20(property)%20proxied">Link to this property</a>

<details>

<summary>

settings: Optional\[Settings]

Settings for the DNS record.

</summary>

flatten\_cname: Optional\[bool]

If enabled, causes the CNAME record to be resolved externally and the resulting address records (e.g., A and AAAA) to be returned instead of the CNAME record itself. This setting is unavailable for proxied records, since they are always flattened.

<a href="#(resource)%20dns.records%20%3E%20(model)%20cname_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20flatten_cname">Link to this property</a>

ipv4\_only: Optional\[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20cname_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv4_only">Link to this property</a>

ipv6\_only: Optional\[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20cname_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv6_only">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20cname_record%20%3E%20(schema)%20%3E%20(property)%20settings">Link to this property</a>

tags: Optional\[List\[<a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20record_tags%20%3E%20(schema)">RecordTags</a>]]

Custom tags for the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20cname_record%20%3E%20(schema)%20%3E%20(property)%20tags">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20cname_record%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

class MXRecord: …

</summary>

name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255

minLength1

<a href="#(resource)%20dns.records%20%3E%20(model)%20mx_record%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

ttl: <a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)">TTL</a>

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

</summary>

One of the following:

float

<a href="#(resource)%20dns.records%20%3E%20(model)%20mx_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

Literal\[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

<a href="#(resource)%20dns.records%20%3E%20(model)%20mx_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20mx_record%20%3E%20(schema)%20%3E%20(property)%20ttl">Link to this property</a>

type: Literal\["MX"]

Record type.

<a href="#(resource)%20dns.records%20%3E%20(model)%20mx_record%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

comment: Optional\[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20mx_record%20%3E%20(schema)%20%3E%20(property)%20comment">Link to this property</a>

content: Optional\[str]

A valid mail server hostname.

formathostname

<a href="#(resource)%20dns.records%20%3E%20(model)%20mx_record%20%3E%20(schema)%20%3E%20(property)%20content">Link to this property</a>

priority: Optional\[float]

Required for MX and URI records; ignored for other record types (but may still be returned by the API). Records with lower priorities are preferred. This field is to be deprecated in favor of the priority field within the data map.

maximum65535

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20mx_record%20%3E%20(schema)%20%3E%20(property)%20priority">Link to this property</a>

proxied: Optional\[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

<a href="#(resource)%20dns.records%20%3E%20(model)%20mx_record%20%3E%20(schema)%20%3E%20(property)%20proxied">Link to this property</a>

<details>

<summary>

settings: Optional\[Settings]

Settings for the DNS record.

</summary>

ipv4\_only: Optional\[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20mx_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv4_only">Link to this property</a>

ipv6\_only: Optional\[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20mx_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv6_only">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20mx_record%20%3E%20(schema)%20%3E%20(property)%20settings">Link to this property</a>

tags: Optional\[List\[<a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20record_tags%20%3E%20(schema)">RecordTags</a>]]

Custom tags for the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20mx_record%20%3E%20(schema)%20%3E%20(property)%20tags">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20mx_record%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

class NSRecord: …

</summary>

name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255

minLength1

<a href="#(resource)%20dns.records%20%3E%20(model)%20ns_record%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

ttl: <a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)">TTL</a>

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

</summary>

One of the following:

float

<a href="#(resource)%20dns.records%20%3E%20(model)%20ns_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

Literal\[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

<a href="#(resource)%20dns.records%20%3E%20(model)%20ns_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20ns_record%20%3E%20(schema)%20%3E%20(property)%20ttl">Link to this property</a>

type: Literal\["NS"]

Record type.

<a href="#(resource)%20dns.records%20%3E%20(model)%20ns_record%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

comment: Optional\[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20ns_record%20%3E%20(schema)%20%3E%20(property)%20comment">Link to this property</a>

content: Optional\[str]

A valid name server host name.

<a href="#(resource)%20dns.records%20%3E%20(model)%20ns_record%20%3E%20(schema)%20%3E%20(property)%20content">Link to this property</a>

proxied: Optional\[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

<a href="#(resource)%20dns.records%20%3E%20(model)%20ns_record%20%3E%20(schema)%20%3E%20(property)%20proxied">Link to this property</a>

<details>

<summary>

settings: Optional\[Settings]

Settings for the DNS record.

</summary>

ipv4\_only: Optional\[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20ns_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv4_only">Link to this property</a>

ipv6\_only: Optional\[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20ns_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv6_only">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20ns_record%20%3E%20(schema)%20%3E%20(property)%20settings">Link to this property</a>

tags: Optional\[List\[<a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20record_tags%20%3E%20(schema)">RecordTags</a>]]

Custom tags for the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20ns_record%20%3E%20(schema)%20%3E%20(property)%20tags">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20ns_record%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

class PostDNSRecordsOpenpgpkeyRecord: …

</summary>

name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255

minLength1

<a href="#(resource)%20dns.records%20%3E%20(method)%20batch%20%3E%20(params)%20default%20%3E%20(param)%20posts%20%3E%20(schema)%20%3E%20(items)%20%3E%20(variant)%205%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

ttl: <a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)">TTLParam</a>

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

</summary>

One of the following:

float

<a href="#(resource)%20dns.records%20%3E%20(method)%20batch%20%3E%20(params)%20default%20%3E%20(param)%20posts%20%3E%20(schema)%20%3E%20(items)%20%3E%20(variant)%205%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

Literal\[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

<a href="#(resource)%20dns.records%20%3E%20(method)%20batch%20%3E%20(params)%20default%20%3E%20(param)%20posts%20%3E%20(schema)%20%3E%20(items)%20%3E%20(variant)%205%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(method)%20batch%20%3E%20(params)%20default%20%3E%20(param)%20posts%20%3E%20(schema)%20%3E%20(items)%20%3E%20(variant)%205%20%3E%20(property)%20ttl">Link to this property</a>

type: Literal\["OPENPGPKEY"]

Record type.

<a href="#(resource)%20dns.records%20%3E%20(method)%20batch%20%3E%20(params)%20default%20%3E%20(param)%20posts%20%3E%20(schema)%20%3E%20(items)%20%3E%20(variant)%205%20%3E%20(property)%20type">Link to this property</a>

comment: Optional\[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(method)%20batch%20%3E%20(params)%20default%20%3E%20(param)%20posts%20%3E%20(schema)%20%3E%20(items)%20%3E%20(variant)%205%20%3E%20(property)%20comment">Link to this property</a>

content: Optional\[str]

A single Base64-encoded OpenPGP Transferable Public Key (RFC 4880 Section 11.1)

<a href="#(resource)%20dns.records%20%3E%20(method)%20batch%20%3E%20(params)%20default%20%3E%20(param)%20posts%20%3E%20(schema)%20%3E%20(items)%20%3E%20(variant)%205%20%3E%20(property)%20content">Link to this property</a>

proxied: Optional\[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

<a href="#(resource)%20dns.records%20%3E%20(method)%20batch%20%3E%20(params)%20default%20%3E%20(param)%20posts%20%3E%20(schema)%20%3E%20(items)%20%3E%20(variant)%205%20%3E%20(property)%20proxied">Link to this property</a>

<details>

<summary>

settings: Optional\[PostDNSRecordsOpenpgpkeyRecordSettings]

Settings for the DNS record.

</summary>

ipv4\_only: Optional\[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(method)%20batch%20%3E%20(params)%20default%20%3E%20(param)%20posts%20%3E%20(schema)%20%3E%20(items)%20%3E%20(variant)%205%20%3E%20(property)%20settings%20%3E%20(property)%20ipv4_only">Link to this property</a>

ipv6\_only: Optional\[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(method)%20batch%20%3E%20(params)%20default%20%3E%20(param)%20posts%20%3E%20(schema)%20%3E%20(items)%20%3E%20(variant)%205%20%3E%20(property)%20settings%20%3E%20(property)%20ipv6_only">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(method)%20batch%20%3E%20(params)%20default%20%3E%20(param)%20posts%20%3E%20(schema)%20%3E%20(items)%20%3E%20(variant)%205%20%3E%20(property)%20settings">Link to this property</a>

tags: Optional\[Sequence\[<a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20record_tags%20%3E%20(schema)">RecordTags</a>]]

Custom tags for the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(method)%20batch%20%3E%20(params)%20default%20%3E%20(param)%20posts%20%3E%20(schema)%20%3E%20(items)%20%3E%20(variant)%205%20%3E%20(property)%20tags">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(method)%20batch%20%3E%20(params)%20default%20%3E%20(param)%20posts%20%3E%20(schema)%20%3E%20(items)%20%3E%20(variant)%205">Link to this property</a>

<details>

<summary>

class PTRRecord: …

</summary>

name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255

minLength1

<a href="#(resource)%20dns.records%20%3E%20(model)%20ptr_record%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

ttl: <a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)">TTL</a>

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

</summary>

One of the following:

float

<a href="#(resource)%20dns.records%20%3E%20(model)%20ptr_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

Literal\[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

<a href="#(resource)%20dns.records%20%3E%20(model)%20ptr_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20ptr_record%20%3E%20(schema)%20%3E%20(property)%20ttl">Link to this property</a>

type: Literal\["PTR"]

Record type.

<a href="#(resource)%20dns.records%20%3E%20(model)%20ptr_record%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

comment: Optional\[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20ptr_record%20%3E%20(schema)%20%3E%20(property)%20comment">Link to this property</a>

content: Optional\[str]

Domain name pointing to the address.

<a href="#(resource)%20dns.records%20%3E%20(model)%20ptr_record%20%3E%20(schema)%20%3E%20(property)%20content">Link to this property</a>

proxied: Optional\[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

<a href="#(resource)%20dns.records%20%3E%20(model)%20ptr_record%20%3E%20(schema)%20%3E%20(property)%20proxied">Link to this property</a>

<details>

<summary>

settings: Optional\[Settings]

Settings for the DNS record.

</summary>

ipv4\_only: Optional\[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20ptr_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv4_only">Link to this property</a>

ipv6\_only: Optional\[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20ptr_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv6_only">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20ptr_record%20%3E%20(schema)%20%3E%20(property)%20settings">Link to this property</a>

tags: Optional\[List\[<a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20record_tags%20%3E%20(schema)">RecordTags</a>]]

Custom tags for the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20ptr_record%20%3E%20(schema)%20%3E%20(property)%20tags">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20ptr_record%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

class TXTRecord: …

</summary>

name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255

minLength1

<a href="#(resource)%20dns.records%20%3E%20(model)%20txt_record%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

ttl: <a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)">TTL</a>

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

</summary>

One of the following:

float

<a href="#(resource)%20dns.records%20%3E%20(model)%20txt_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

Literal\[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

<a href="#(resource)%20dns.records%20%3E%20(model)%20txt_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20txt_record%20%3E%20(schema)%20%3E%20(property)%20ttl">Link to this property</a>

type: Literal\["TXT"]

Record type.

<a href="#(resource)%20dns.records%20%3E%20(model)%20txt_record%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

comment: Optional\[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20txt_record%20%3E%20(schema)%20%3E%20(property)%20comment">Link to this property</a>

content: Optional\[str]

Text content for the record. The content must consist of quoted “character strings” (RFC 1035), each with a length of up to 255 bytes. Strings exceeding this allowed maximum length are automatically split.

Learn more at <a href="https://www.cloudflare.com/learning/dns/dns-records/dns-txt-record/">https://www.cloudflare.com/learning/dns/dns-records/dns-txt-record/</a>.

<a href="#(resource)%20dns.records%20%3E%20(model)%20txt_record%20%3E%20(schema)%20%3E%20(property)%20content">Link to this property</a>

proxied: Optional\[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

<a href="#(resource)%20dns.records%20%3E%20(model)%20txt_record%20%3E%20(schema)%20%3E%20(property)%20proxied">Link to this property</a>

<details>

<summary>

settings: Optional\[Settings]

Settings for the DNS record.

</summary>

ipv4\_only: Optional\[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20txt_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv4_only">Link to this property</a>

ipv6\_only: Optional\[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20txt_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv6_only">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20txt_record%20%3E%20(schema)%20%3E%20(property)%20settings">Link to this property</a>

tags: Optional\[List\[<a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20record_tags%20%3E%20(schema)">RecordTags</a>]]

Custom tags for the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20txt_record%20%3E%20(schema)%20%3E%20(property)%20tags">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20txt_record%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

class CAARecord: …

</summary>

name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255

minLength1

<a href="#(resource)%20dns.records%20%3E%20(model)%20caa_record%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

ttl: <a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)">TTL</a>

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

</summary>

One of the following:

float

<a href="#(resource)%20dns.records%20%3E%20(model)%20caa_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

Literal\[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

<a href="#(resource)%20dns.records%20%3E%20(model)%20caa_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20caa_record%20%3E%20(schema)%20%3E%20(property)%20ttl">Link to this property</a>

type: Literal\["CAA"]

Record type.

<a href="#(resource)%20dns.records%20%3E%20(model)%20caa_record%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

comment: Optional\[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20caa_record%20%3E%20(schema)%20%3E%20(property)%20comment">Link to this property</a>

content: Optional\[str]

Formatted CAA content. See ‘data’ to set CAA properties.

<a href="#(resource)%20dns.records%20%3E%20(model)%20caa_record%20%3E%20(schema)%20%3E%20(property)%20content">Link to this property</a>

<details>

<summary>

data: Optional\[Data]

Components of a CAA record.

</summary>

flags: Optional\[float]

Flags for the CAA record.

maximum255

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20caa_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20flags">Link to this property</a>

tag: Optional\[str]

Name of the property controlled by this record (e.g.: issue, issuewild, iodef).

<a href="#(resource)%20dns.records%20%3E%20(model)%20caa_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20tag">Link to this property</a>

value: Optional\[str]

Value of the record. This field’s semantics depend on the chosen tag.

<a href="#(resource)%20dns.records%20%3E%20(model)%20caa_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20caa_record%20%3E%20(schema)%20%3E%20(property)%20data">Link to this property</a>

proxied: Optional\[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

<a href="#(resource)%20dns.records%20%3E%20(model)%20caa_record%20%3E%20(schema)%20%3E%20(property)%20proxied">Link to this property</a>

<details>

<summary>

settings: Optional\[Settings]

Settings for the DNS record.

</summary>

ipv4\_only: Optional\[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20caa_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv4_only">Link to this property</a>

ipv6\_only: Optional\[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20caa_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv6_only">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20caa_record%20%3E%20(schema)%20%3E%20(property)%20settings">Link to this property</a>

tags: Optional\[List\[<a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20record_tags%20%3E%20(schema)">RecordTags</a>]]

Custom tags for the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20caa_record%20%3E%20(schema)%20%3E%20(property)%20tags">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20caa_record%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

class CERTRecord: …

</summary>

name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255

minLength1

<a href="#(resource)%20dns.records%20%3E%20(model)%20cert_record%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

ttl: <a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)">TTL</a>

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

</summary>

One of the following:

float

<a href="#(resource)%20dns.records%20%3E%20(model)%20cert_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

Literal\[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

<a href="#(resource)%20dns.records%20%3E%20(model)%20cert_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20cert_record%20%3E%20(schema)%20%3E%20(property)%20ttl">Link to this property</a>

type: Literal\["CERT"]

Record type.

<a href="#(resource)%20dns.records%20%3E%20(model)%20cert_record%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

comment: Optional\[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20cert_record%20%3E%20(schema)%20%3E%20(property)%20comment">Link to this property</a>

content: Optional\[str]

Formatted CERT content. See ‘data’ to set CERT properties.

<a href="#(resource)%20dns.records%20%3E%20(model)%20cert_record%20%3E%20(schema)%20%3E%20(property)%20content">Link to this property</a>

<details>

<summary>

data: Optional\[Data]

Components of a CERT record.

</summary>

algorithm: Optional\[float]

Algorithm.

maximum255

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20cert_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20algorithm">Link to this property</a>

certificate: Optional\[str]

Certificate.

<a href="#(resource)%20dns.records%20%3E%20(model)%20cert_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20certificate">Link to this property</a>

key\_tag: Optional\[float]

Key Tag.

maximum65535

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20cert_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20key_tag">Link to this property</a>

type: Optional\[float]

Type.

maximum65535

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20cert_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20cert_record%20%3E%20(schema)%20%3E%20(property)%20data">Link to this property</a>

proxied: Optional\[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

<a href="#(resource)%20dns.records%20%3E%20(model)%20cert_record%20%3E%20(schema)%20%3E%20(property)%20proxied">Link to this property</a>

<details>

<summary>

settings: Optional\[Settings]

Settings for the DNS record.

</summary>

ipv4\_only: Optional\[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20cert_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv4_only">Link to this property</a>

ipv6\_only: Optional\[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20cert_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv6_only">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20cert_record%20%3E%20(schema)%20%3E%20(property)%20settings">Link to this property</a>

tags: Optional\[List\[<a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20record_tags%20%3E%20(schema)">RecordTags</a>]]

Custom tags for the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20cert_record%20%3E%20(schema)%20%3E%20(property)%20tags">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20cert_record%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

class DNSKEYRecord: …

</summary>

name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255

minLength1

<a href="#(resource)%20dns.records%20%3E%20(model)%20dnskey_record%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

ttl: <a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)">TTL</a>

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

</summary>

One of the following:

float

<a href="#(resource)%20dns.records%20%3E%20(model)%20dnskey_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

Literal\[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

<a href="#(resource)%20dns.records%20%3E%20(model)%20dnskey_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20dnskey_record%20%3E%20(schema)%20%3E%20(property)%20ttl">Link to this property</a>

type: Literal\["DNSKEY"]

Record type.

<a href="#(resource)%20dns.records%20%3E%20(model)%20dnskey_record%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

comment: Optional\[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20dnskey_record%20%3E%20(schema)%20%3E%20(property)%20comment">Link to this property</a>

content: Optional\[str]

Formatted DNSKEY content. See ‘data’ to set DNSKEY properties.

<a href="#(resource)%20dns.records%20%3E%20(model)%20dnskey_record%20%3E%20(schema)%20%3E%20(property)%20content">Link to this property</a>

<details>

<summary>

data: Optional\[Data]

Components of a DNSKEY record.

</summary>

algorithm: Optional\[float]

Algorithm.

maximum255

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20dnskey_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20algorithm">Link to this property</a>

flags: Optional\[float]

Flags.

maximum65535

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20dnskey_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20flags">Link to this property</a>

protocol: Optional\[float]

Protocol.

maximum255

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20dnskey_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20protocol">Link to this property</a>

public\_key: Optional\[str]

Public Key.

<a href="#(resource)%20dns.records%20%3E%20(model)%20dnskey_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20public_key">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20dnskey_record%20%3E%20(schema)%20%3E%20(property)%20data">Link to this property</a>

proxied: Optional\[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

<a href="#(resource)%20dns.records%20%3E%20(model)%20dnskey_record%20%3E%20(schema)%20%3E%20(property)%20proxied">Link to this property</a>

<details>

<summary>

settings: Optional\[Settings]

Settings for the DNS record.

</summary>

ipv4\_only: Optional\[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20dnskey_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv4_only">Link to this property</a>

ipv6\_only: Optional\[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20dnskey_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv6_only">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20dnskey_record%20%3E%20(schema)%20%3E%20(property)%20settings">Link to this property</a>

tags: Optional\[List\[<a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20record_tags%20%3E%20(schema)">RecordTags</a>]]

Custom tags for the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20dnskey_record%20%3E%20(schema)%20%3E%20(property)%20tags">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20dnskey_record%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

class DSRecord: …

</summary>

name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255

minLength1

<a href="#(resource)%20dns.records%20%3E%20(model)%20ds_record%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

ttl: <a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)">TTL</a>

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

</summary>

One of the following:

float

<a href="#(resource)%20dns.records%20%3E%20(model)%20ds_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

Literal\[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

<a href="#(resource)%20dns.records%20%3E%20(model)%20ds_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20ds_record%20%3E%20(schema)%20%3E%20(property)%20ttl">Link to this property</a>

type: Literal\["DS"]

Record type.

<a href="#(resource)%20dns.records%20%3E%20(model)%20ds_record%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

comment: Optional\[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20ds_record%20%3E%20(schema)%20%3E%20(property)%20comment">Link to this property</a>

content: Optional\[str]

Formatted DS content. See ‘data’ to set DS properties.

<a href="#(resource)%20dns.records%20%3E%20(model)%20ds_record%20%3E%20(schema)%20%3E%20(property)%20content">Link to this property</a>

<details>

<summary>

data: Optional\[Data]

Components of a DS record.

</summary>

algorithm: Optional\[float]

Algorithm.

maximum255

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20ds_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20algorithm">Link to this property</a>

digest: Optional\[str]

Digest.

<a href="#(resource)%20dns.records%20%3E%20(model)%20ds_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20digest">Link to this property</a>

digest\_type: Optional\[float]

Digest Type.

maximum255

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20ds_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20digest_type">Link to this property</a>

key\_tag: Optional\[float]

Key Tag.

maximum65535

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20ds_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20key_tag">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20ds_record%20%3E%20(schema)%20%3E%20(property)%20data">Link to this property</a>

proxied: Optional\[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

<a href="#(resource)%20dns.records%20%3E%20(model)%20ds_record%20%3E%20(schema)%20%3E%20(property)%20proxied">Link to this property</a>

<details>

<summary>

settings: Optional\[Settings]

Settings for the DNS record.

</summary>

ipv4\_only: Optional\[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20ds_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv4_only">Link to this property</a>

ipv6\_only: Optional\[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20ds_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv6_only">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20ds_record%20%3E%20(schema)%20%3E%20(property)%20settings">Link to this property</a>

tags: Optional\[List\[<a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20record_tags%20%3E%20(schema)">RecordTags</a>]]

Custom tags for the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20ds_record%20%3E%20(schema)%20%3E%20(property)%20tags">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20ds_record%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

class HTTPSRecord: …

</summary>

name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255

minLength1

<a href="#(resource)%20dns.records%20%3E%20(model)%20https_record%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

ttl: <a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)">TTL</a>

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

</summary>

One of the following:

float

<a href="#(resource)%20dns.records%20%3E%20(model)%20https_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

Literal\[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

<a href="#(resource)%20dns.records%20%3E%20(model)%20https_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20https_record%20%3E%20(schema)%20%3E%20(property)%20ttl">Link to this property</a>

type: Literal\["HTTPS"]

Record type.

<a href="#(resource)%20dns.records%20%3E%20(model)%20https_record%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

comment: Optional\[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20https_record%20%3E%20(schema)%20%3E%20(property)%20comment">Link to this property</a>

content: Optional\[str]

Formatted HTTPS content. See ‘data’ to set HTTPS properties.

<a href="#(resource)%20dns.records%20%3E%20(model)%20https_record%20%3E%20(schema)%20%3E%20(property)%20content">Link to this property</a>

<details>

<summary>

data: Optional\[Data]

Components of a HTTPS record.

</summary>

priority: Optional\[float]

Priority.

maximum65535

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20https_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20priority">Link to this property</a>

target: Optional\[str]

Target.

<a href="#(resource)%20dns.records%20%3E%20(model)%20https_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20target">Link to this property</a>

value: Optional\[str]

Value.

<a href="#(resource)%20dns.records%20%3E%20(model)%20https_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20https_record%20%3E%20(schema)%20%3E%20(property)%20data">Link to this property</a>

proxied: Optional\[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

<a href="#(resource)%20dns.records%20%3E%20(model)%20https_record%20%3E%20(schema)%20%3E%20(property)%20proxied">Link to this property</a>

<details>

<summary>

settings: Optional\[Settings]

Settings for the DNS record.

</summary>

ipv4\_only: Optional\[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20https_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv4_only">Link to this property</a>

ipv6\_only: Optional\[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20https_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv6_only">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20https_record%20%3E%20(schema)%20%3E%20(property)%20settings">Link to this property</a>

tags: Optional\[List\[<a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20record_tags%20%3E%20(schema)">RecordTags</a>]]

Custom tags for the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20https_record%20%3E%20(schema)%20%3E%20(property)%20tags">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20https_record%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

class LOCRecord: …

</summary>

name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255

minLength1

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

ttl: <a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)">TTL</a>

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

</summary>

One of the following:

float

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

Literal\[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20ttl">Link to this property</a>

type: Literal\["LOC"]

Record type.

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

comment: Optional\[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20comment">Link to this property</a>

content: Optional\[str]

Formatted LOC content. See ‘data’ to set LOC properties.

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20content">Link to this property</a>

<details>

<summary>

data: Optional\[Data]

Components of a LOC record.

</summary>

altitude: Optional\[float]

Altitude of location in meters.

maximum42849672.95

minimum-100000

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20altitude">Link to this property</a>

lat\_degrees: Optional\[float]

Degrees of latitude.

maximum90

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20lat_degrees">Link to this property</a>

<details>

<summary>

lat\_direction: Optional\[Literal\["N", "S"]]

Latitude direction.

</summary>

One of the following:

"N"

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20lat_direction%20%3E%20(member)%200">Link to this property</a>

"S"

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20lat_direction%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20lat_direction">Link to this property</a>

lat\_minutes: Optional\[float]

Minutes of latitude.

maximum59

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20lat_minutes">Link to this property</a>

lat\_seconds: Optional\[float]

Seconds of latitude.

maximum59.999

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20lat_seconds">Link to this property</a>

long\_degrees: Optional\[float]

Degrees of longitude.

maximum180

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20long_degrees">Link to this property</a>

<details>

<summary>

long\_direction: Optional\[Literal\["E", "W"]]

Longitude direction.

</summary>

One of the following:

"E"

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20long_direction%20%3E%20(member)%200">Link to this property</a>

"W"

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20long_direction%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20long_direction">Link to this property</a>

long\_minutes: Optional\[float]

Minutes of longitude.

maximum59

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20long_minutes">Link to this property</a>

long\_seconds: Optional\[float]

Seconds of longitude.

maximum59.999

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20long_seconds">Link to this property</a>

precision\_horz: Optional\[float]

Horizontal precision of location.

maximum90000000

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20precision_horz">Link to this property</a>

precision\_vert: Optional\[float]

Vertical precision of location.

maximum90000000

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20precision_vert">Link to this property</a>

size: Optional\[float]

Size of location in meters.

maximum90000000

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20size">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20data">Link to this property</a>

proxied: Optional\[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20proxied">Link to this property</a>

<details>

<summary>

settings: Optional\[Settings]

Settings for the DNS record.

</summary>

ipv4\_only: Optional\[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv4_only">Link to this property</a>

ipv6\_only: Optional\[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv6_only">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20settings">Link to this property</a>

tags: Optional\[List\[<a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20record_tags%20%3E%20(schema)">RecordTags</a>]]

Custom tags for the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)%20%3E%20(property)%20tags">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20loc_record%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

class NAPTRRecord: …

</summary>

name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255

minLength1

<a href="#(resource)%20dns.records%20%3E%20(model)%20naptr_record%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

ttl: <a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)">TTL</a>

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

</summary>

One of the following:

float

<a href="#(resource)%20dns.records%20%3E%20(model)%20naptr_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

Literal\[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

<a href="#(resource)%20dns.records%20%3E%20(model)%20naptr_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20naptr_record%20%3E%20(schema)%20%3E%20(property)%20ttl">Link to this property</a>

type: Literal\["NAPTR"]

Record type.

<a href="#(resource)%20dns.records%20%3E%20(model)%20naptr_record%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

comment: Optional\[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20naptr_record%20%3E%20(schema)%20%3E%20(property)%20comment">Link to this property</a>

content: Optional\[str]

Formatted NAPTR content. See ‘data’ to set NAPTR properties.

<a href="#(resource)%20dns.records%20%3E%20(model)%20naptr_record%20%3E%20(schema)%20%3E%20(property)%20content">Link to this property</a>

<details>

<summary>

data: Optional\[Data]

Components of a NAPTR record.

</summary>

flags: Optional\[str]

Flags.

<a href="#(resource)%20dns.records%20%3E%20(model)%20naptr_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20flags">Link to this property</a>

order: Optional\[float]

Order.

maximum65535

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20naptr_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20order">Link to this property</a>

preference: Optional\[float]

Preference.

maximum65535

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20naptr_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20preference">Link to this property</a>

regex: Optional\[str]

Regex.

<a href="#(resource)%20dns.records%20%3E%20(model)%20naptr_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20regex">Link to this property</a>

replacement: Optional\[str]

Replacement.

<a href="#(resource)%20dns.records%20%3E%20(model)%20naptr_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20replacement">Link to this property</a>

service: Optional\[str]

Service.

<a href="#(resource)%20dns.records%20%3E%20(model)%20naptr_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20service">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20naptr_record%20%3E%20(schema)%20%3E%20(property)%20data">Link to this property</a>

proxied: Optional\[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

<a href="#(resource)%20dns.records%20%3E%20(model)%20naptr_record%20%3E%20(schema)%20%3E%20(property)%20proxied">Link to this property</a>

<details>

<summary>

settings: Optional\[Settings]

Settings for the DNS record.

</summary>

ipv4\_only: Optional\[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20naptr_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv4_only">Link to this property</a>

ipv6\_only: Optional\[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20naptr_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv6_only">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20naptr_record%20%3E%20(schema)%20%3E%20(property)%20settings">Link to this property</a>

tags: Optional\[List\[<a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20record_tags%20%3E%20(schema)">RecordTags</a>]]

Custom tags for the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20naptr_record%20%3E%20(schema)%20%3E%20(property)%20tags">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20naptr_record%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

class SMIMEARecord: …

</summary>

name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255

minLength1

<a href="#(resource)%20dns.records%20%3E%20(model)%20smimea_record%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

ttl: <a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)">TTL</a>

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

</summary>

One of the following:

float

<a href="#(resource)%20dns.records%20%3E%20(model)%20smimea_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

Literal\[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

<a href="#(resource)%20dns.records%20%3E%20(model)%20smimea_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20smimea_record%20%3E%20(schema)%20%3E%20(property)%20ttl">Link to this property</a>

type: Literal\["SMIMEA"]

Record type.

<a href="#(resource)%20dns.records%20%3E%20(model)%20smimea_record%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

comment: Optional\[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20smimea_record%20%3E%20(schema)%20%3E%20(property)%20comment">Link to this property</a>

content: Optional\[str]

Formatted SMIMEA content. See ‘data’ to set SMIMEA properties.

<a href="#(resource)%20dns.records%20%3E%20(model)%20smimea_record%20%3E%20(schema)%20%3E%20(property)%20content">Link to this property</a>

<details>

<summary>

data: Optional\[Data]

Components of a SMIMEA record.

</summary>

certificate: Optional\[str]

Certificate.

<a href="#(resource)%20dns.records%20%3E%20(model)%20smimea_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20certificate">Link to this property</a>

matching\_type: Optional\[float]

Matching Type.

maximum255

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20smimea_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20matching_type">Link to this property</a>

selector: Optional\[float]

Selector.

maximum255

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20smimea_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20selector">Link to this property</a>

usage: Optional\[float]

Usage.

maximum255

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20smimea_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20usage">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20smimea_record%20%3E%20(schema)%20%3E%20(property)%20data">Link to this property</a>

proxied: Optional\[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

<a href="#(resource)%20dns.records%20%3E%20(model)%20smimea_record%20%3E%20(schema)%20%3E%20(property)%20proxied">Link to this property</a>

<details>

<summary>

settings: Optional\[Settings]

Settings for the DNS record.

</summary>

ipv4\_only: Optional\[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20smimea_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv4_only">Link to this property</a>

ipv6\_only: Optional\[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

<a href="#(resource)%20dns.records%20%3E%20(model)%20smimea_record%20%3E%20(schema)%20%3E%20(property)%20settings%20%3E%20(property)%20ipv6_only">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20smimea_record%20%3E%20(schema)%20%3E%20(property)%20settings">Link to this property</a>

tags: Optional\[List\[<a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20record_tags%20%3E%20(schema)">RecordTags</a>]]

Custom tags for the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20smimea_record%20%3E%20(schema)%20%3E%20(property)%20tags">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20smimea_record%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

class SRVRecord: …

</summary>

name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255

minLength1

<a href="#(resource)%20dns.records%20%3E%20(model)%20srv_record%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

ttl: <a href="https://developers.cloudflare.com/api/python/resources/dns#(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)">TTL</a>

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

</summary>

One of the following:

float

<a href="#(resource)%20dns.records%20%3E%20(model)%20srv_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

Literal\[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means ‘automatic’. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

<a href="#(resource)%20dns.records%20%3E%20(model)%20srv_record%20%3E%20(schema)%20%3E%20(property)%20ttl%20%2B%20(resource)%20dns.records%20%3E%20(model)%20ttl%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20dns.records%20%3E%20(model)%20srv_record%20%3E%20(schema)%20%3E%20(property)%20ttl">Link to this property</a>

type: Literal\["SRV"]

Record type.

<a href="#(resource)%20dns.records%20%3E%20(model)%20srv_record%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

comment: Optional\[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

<a href="#(resource)%20dns.records%20%3E%20(model)%20srv_record%20%3E%20(schema)%20%3E%20(property)%20comment">Link to this property</a>

content: Optional\[str]

Priority, weight, port, and SRV target. See ‘data’ for setting the individual component values.

<a href="#(resource)%20dns.records%20%3E%20(model)%20srv_record%20%3E%20(schema)%20%3E%20(property)%20content">Link to this property</a>

<details>

<summary>

data: Optional\[Data]

Components of a SRV record.

</summary>

port: Optional\[float]

The port of the service.

maximum65535

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20srv_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20port">Link to this property</a>

priority: Optional\[float]

Required for MX and URI records; ignored for other record types (but may still be returned by the API). Records with lower priorities are preferred. This field is to be deprecated in favor of the priority field within the data map.

maximum65535

minimum0

<a href="#(resource)%20dns.records%20%3E%20(model)%20srv_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20priority">Link to this property</a>

target: Optional\[str]

A valid hostname.

formathostname

<a href="#(resource)%20dns.records%20%3E%20(model)%20srv_record%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20target">Link to this property</a>

weight: Optional\[float]

The record weight.

maximum65535

minimum0
[...]
